<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    #{dataTableStateHolder.setAscendingOn('name')}
    <rich:dataTable id="auditMessageTable" value="#{auditMessages}" var="msg"
                    rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="amDS">
        <g:column sortBy="#{'name'}" sortOrder="#{dataTableStateHolder.sortOrders['name']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.AuditedEvent']}</ui:define>
            <h:outputText value="#{msg.name}"/>
        </g:column>
        <g:column sortBy="#{'auditedTransaction'}" sortOrder="#{dataTableStateHolder.sortOrders['auditedtransaction']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.AuditedTransaction']}</ui:define>
            <h:outputText value="#{msg.auditedTransaction}"/>
        </g:column>
        <g:column sortBy="#{'issuingActor'}" sortOrder="#{dataTableStateHolder.sortOrders['issuingactor']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.IssuingActor']}</ui:define>
            <h:outputText value="#{msg.issuingActor}"/>
        </g:column>
        <ui:insert name="moreColumns"/>
        <g:column sortBy="#{'validationStatus'}" sortOrder="#{dataTableStateHolder.sortOrders['validationStatus']}">
            <ui:define name="header">#{messages['net.ihe.gazelle.questionnaire.ValidationStatus']}</ui:define>
            <h:commandLink id="displayLog" action="#{auditMessageIOManager.viewValidationResult(msg)}"
                           rendered="#{not empty msg.validationLogPath}" target="_blank">
                <h:outputText value="#{msg.validationStatus.value}"/>
            </h:commandLink>
            <h:outputText value="#{msg.validationStatus.value}" rendered="#{empty msg.validationLogPath}"/>
        </g:column>

        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="amDS"/>
                <ui:param name="dataTableId" value="auditMessageTable"/>
            </ui:include>
        </f:facet>

    </rich:dataTable>
</ui:composition>
